package com.brilliance.isc.bo;


import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;


import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:ejscpd:
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ejscpd {

        //Internal Unique ID
        private String inr = NULLSTR;

        //SPTINR
        private String sptinr = NULLSTR;

        //SMHINR
        private String smhinr = NULLSTR;

        //PTYEXTKEY
        private String cusid = NULLSTR;

        //OWNREF
        private String entmarkno = NULLSTR;

        //交易日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date transdate = NULLDATE;

        //收款人 号
        private String payeeacctnum = NULLSTR;

        //对方行业务编号
        private String payeeentmarkno = NULLSTR;

        //汇入币种
        private String cur = NULLSTR;

        //金额
        private  BigDecimal transamount  = Decimals.ZERO_SCALE2;

        //标识该笔交易是否曾被退回
        private String isexist = NULLSTR;

        //Document Path Relative to Appl. or Data Root
        private String docpth = NULLSTR;

        //Document Name File ID
        private String docfil = NULLSTR;

        //Document Format RTF, TIF, TXT etc. Used to Created File Extension
        private String docfxt = NULLSTR;

        //STATUS
        private String sta = NULLSTR;

        //汇款人 号
        private String orcacc = NULLSTR;

        //汇款人名称地址
        private String orcadr = NULLSTR;

        //收款人名称地址
        private String pyeadr = NULLSTR;

        //预通知标志
        private String flg = NULLSTR;

        //发报行收 币种
        private String fbhcur = NULLSTR;

        //发报行收 金额
        private  BigDecimal fbhamt  = Decimals.ZERO_SCALE2;

        //机构号
        private String branch = NULLSTR;

        //机构表inr
        private String bchkeyinr = NULLSTR;
        //处理用户
        private String usrextkey = NULLSTR;
        //人工处理标志
        private String usrhandle = NULLSTR;
        //人工处理时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date usrdat = NULLDATE;

        //IO 发报行国家
        private String countryname = NULLSTR;
        //IO 发报行国家编码
        private String paynationcod = NULLSTR;
        //70域
        private String reportps = NULLSTR;

        private String msgtyp = NULLSTR;



























}