package com.brilliance.isc.bo;

import java.util.*;
import java.math.BigDecimal;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.fasterxml.jackson.annotation.*;
import lombok.Data;


/**
* TABLE:lsb:LSB - Limit System Balance
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Lsb {




        //Internal Unique ID of Limit Balance
        private String inr = NULLSTR;

        //LSN - Type of Node
        private String lsn = NULLSTR;

        //Type of Level 1 Object
        private String lsntyp1 = NULLSTR;

        //INR or Code/Key of Level 1 Object
        private String lsninr1 = NULLSTR;

        //Type of Level 2 Object
        private String lsntyp2 = NULLSTR;

        //INR or Code/Key of Level 2 Object
        private String lsninr2 = NULLSTR;

        //Type of Level 3 Object
        private String lsntyp3 = NULLSTR;

        //INR or Code/Key of Level 3 Object
        private String lsninr3 = NULLSTR;

        //Type of Level 4 Object
        private String lsntyp4 = NULLSTR;

        //INR or Code/Key of Level 4 Object
        private String lsninr4 = NULLSTR;

        //Currency
        private String cur = NULLSTR;

        //Limit Amount
        private BigDecimal amt  = new BigDecimal("0.00");

        //Status of Limit
        private String lss = NULLSTR;

        //Expiry Date of the Limit
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date expdat = NULLDATE;

        //Flag to Mark Non-revolving Limits
        private String nonrevflg = NULLSTR;

        //Entity Group of Limit System Balance
        private String etgextkey = NULLSTR;

        //批复号
        private String ownref = NULLSTR;

        //银行'户信用风险'露分类
        private String fentyp = NULLSTR;

        //分类'明
        private String inftxt = NULLSTR;


}