package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

/**
 
 * @date 2024-04-01
 * @description 客户信息crm系统
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ptycrm {

    /**
     * 关联pty表的inr
     */
    private String ptyinr;

    /**
     * 1：可信客户；2优质客户；3：贸易便利化客户
     */
    private String creditSort;

    /**
     * 1：生效；2：失效
     */
    private String crmSta;

    /**
     * 01-货物贸易、02-服务贸易、03-收益与经常转移、04-境外直接投资、05-境内直接投资、06-跨境担保、07-企业境外放款、08-外债、09-境外贷款、10-国际贸易融资
     */
    private String business;

    /**
     * 退汇单笔限额
     */
    private BigDecimal refremitMaxBal;

    /**
     * 货物贸易单笔限额
     */
    private BigDecimal gootradeMaxBal;

    /**
     * 服务贸易单笔限额
     */
    private BigDecimal sertradeMaxBal;
}
