package com.brilliance.isc.bo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

/**
 * 任务分配器柜员配置表
 * @TableName tskusr
 */
@TableName(value ="tskusr")
@Data
public class TaskDistUser implements Serializable {

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户唯一ID
     */
    private String inr;

    /**
     * 柜员号
     */
    private String extkey;

    /**
     * 姓名
     */
    private String name;

    /**
     * 单证中心
     */
    private String branchinr;

    /**
     * 单证中心名称
     */
    private String branchName;

    /**
     * 班次
     */
    private String workRank;

    /**
     * 业务组别
     */
    private String bizGroup;

    /**
     * 业务岗位
     */
    private String bizPosition;

    /**
     * 经办权限
     */
    private String handlePermission;

    /**
     * 复核权限
     */
    private String reviewPermission;

    /**
     * 指定复核人员
     */
    private String designatedReviewer;

    /**
     * 是否参与任务分配
     */
    private String participateFlag;

    /**
     * 登录状态
     */
    private String status;

    /**
     * 最后登录时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date lastLoginTime;

    /**
     * 已分配任务数
     */
    private Integer assignedTaskCount;

    /**
     * 上笔任务提交时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date lastCommitTime;

}