package com.brilliance.isc.bo.bopdecbo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * TABLE:dbm:出口收汇核销专用联（境外收入）-核销专用信息
 */

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Dbm extends AbstractCommonVo {
    //Internal Unique ID
    private String inr ;
    //�'时申报流�'号
    private String tmpref ;
    //Initial Entity Code
    private String ownextkey ;
    //Version
    private String ver ;
    //操作类型
    private String actiontype ;
    //修改/删除原因
    private String actiondesc ;
    //申报号码
    private String rptno ;
    //收汇类型
    private String payattr ;
    //已出具出口收汇核销专用联
    private String chkprtd ;
    //余款金额
    private BigDecimal osamt  = new BigDecimal("0.00");
    //出口收汇核销单号码
    private String refnos ;
    //收汇总金额中用于出口核销的金额
    private BigDecimal chkamt  = new BigDecimal("0.00");
    //填报人
    private String crtuser ;
    //填报人电话
    private String inptelc ;
    //申报日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date rptdate;
}
