package com.brilliance.isc.common.vo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:cbe:CBE - CBS Entry
*/
@Getter
@Setter
@JsonIgnoreProperties(ignoreUnknown = true)
public class SimpleCbeVo {

        //Internal Unique ID of CBS Entry
        private String inr = NULLSTR;

        //Object Type
        private String objtyp = NULLSTR;

        //Object INR
        private String objinr = NULLSTR;

        //External ID
        private String extid = NULLSTR;

        //Type of Entry
        private String cbt = NULLSTR;

        //Type of Initiating Transaction
        private String trntyp = NULLSTR;

        //Initiating Transaction INR
        private String trninr = NULLSTR;

        //Value Date
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date dat = NULLDATE;

        //Currency
        private String cur = NULLSTR;

        //Amount
        private  BigDecimal amt  = Decimals.ZERO_SCALE2;

        //Release Status Flag
        private String relflg = NULLSTR;

        //Creation Date of Entry
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat = NULLDATE;

}