package com.brilliance.isc.transfer.transaction;

import com.brilliance.isc.bo.lg.NitameStoreBo;
import com.brilliance.isc.transfer.IBaseStructMapper;
import com.brilliance.isc.transfer.model.*;
import com.brilliance.isc.transfer.IBaseStructMapper;
import com.brilliance.isc.transfer.model.*;
import com.brilliance.isc.vo.lg.NitameStoreVo;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.MappingTarget;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;


/**
 * Gitame Bo、Vo之间的转换处理类。如果有很复杂的函数，则可以用适配器模式重写
 */
@Mapper(componentModel = "spring",uses = {
        IGctMapper.class, IGitMapper.class,
        INitMapper.class, INctMapper.class, IOtherModMapper.class}
        )
public interface NitameStructMapper extends IBaseStructMapper<NitameStoreBo, NitameStoreVo> {

    /**
     * 此行语句一定要写，StructMapper需要
     */
    NitameStructMapper INSTANCE = Mappers.getMapper(NitameStructMapper.class);

    /**
     * Vo转为Bo
     *
     * @param vo
     * @return 返回业务Bo
     */
    @Override
    NitameStoreBo voTransferToBo(NitameStoreVo vo);

    /**
     * Vo追加更新至Bo
     * 忽略oldgrp的复制
     * @param vo
     * @param bo
     */
    @Override
    @Mappings({
            @Mapping(target = "oldnidgrp",ignore = true),
            //修改交易，两个机构记账机构和所属机构忽略赋值
            @Mapping(target = "nidgrp.rec.branchinr",ignore = true),
            @Mapping(target = "nidgrp.rec.bchkeyinr",ignore = true)
    })
    void voUpdateToBo(NitameStoreVo vo, @MappingTarget NitameStoreBo bo);

    /**
     * Bo转为Vo
     *
     * @param bo
     * @return 返回Vo
     */
    @Override
    NitameStoreVo boTransferToVo(NitameStoreBo bo);

    /**
     * bo追加更新至Bo
     *
     * @param bo
     * @param vo
     */
    @Override
    void boUpdateToVo(NitameStoreBo bo, @MappingTarget NitameStoreVo vo);
}
