package com.brilliance.isc.vo.bop;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.util.Date;
import java.util.List;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;

@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class LogpVo {
    /**
     * 每页大小
     */
    private Integer pageSize;
    /**
     * 当前页数
     */
    private Integer pageNum;

    /**
     * 申报类型
     */
    private String objnam;

    /**
     * 操作类型
     */
    private String objtyp;

    /**
     * 申报号码
     */
    private String rptno;

    /**
     * 员工号
     */
    private String oprusr;

    /**
     * 机构号
     */
    private String oprbch;

    private List<String> branchInrs;


    /**
     * 起始日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date strdat  = NULLDATE;

    /**
     * 截止日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date enddat = NULLDATE;
}
