package com.brilliance.isc.vo.domlc;

import com.brilliance.isc.bo.Bdd;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;

@Data
public class BddWithPtsCbbResponseVo extends Bdd {

    /**
     * 信用证业务编号
     */
    private String pntref;
    /*
    货物类型
     */
    private String stagod;
    /**
     * 承兑到期日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date udpdat = NULLDATE;
    /**
     * 币种
     */
    private String cur;

    /**
     * 开立金额
     */
    private BigDecimal amt;
    /**
     * 币种
     */
    private String opncur;

    /**
     * 余额
     */
    private BigDecimal opnamt;

    /**
     * 申请人客户号
     */
    private String aplExtkey;

    /**
     * 申请人名称
     */
    private String aplName;
    /**
     * 申请人中文名称
     */
    private String aplCnname;

    /**
     * 受益人客户号
     */
    private String benExtkey;

    /**
     * 受益人名称
     */
    private String benName;
    /**
     * 受益人中文名称
     */
    private String benCnname;

    /**
     * 交单行编号
     */
    private String prbExtkey;

    /**
     * 交单行名称
     */
    private String prbName;

    /**
     * 交单行业务编号
     */
    private String prbRef;
    /**
     * 交单行中文名称
     */
    private String prbCnname;
    /**
     * 交单行联行行名
     */
    private String prbLhname;

    /**
     * 分行名称
     */
    private String bchName;
    /**
     * 柜员名称
     */
    private String usrNam;
}

