package com.brilliance.isc.vo.finance;

import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.common.vo.CommonResult;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class BpdQueryVo extends CommonResult {

    /**
     * 父业务唯一编号
     */
    private String pntinr;

    /**
     * 父业务编号
     */
    private String pntref;
    /**
     * 单据业务编号
     */
    private String seaownref;

    /**
     * 融资业务编号
     */
    private String bpownref;

    /**
     * 机构编号
     */
    private String bchinr;
    /**
     * 父业务类型
     */
    private String pnttyp;
    /**
     * 融资类型
     */
    private String fintyp;
    /**
     * 融资类型列表
     */
    private List<String> fintypLst;
    /**
     * 福费廷类型
     */
    private String fortyp;
    /**
     * 单据状态
     */
    private String docsta;
    /**
     * 申请人
     */
    private String aplref;
    /**
     * 受益人
     */
    private String benref;
    /**
     * 机构编码
     */
    private String branch;

    /**
     * 机构集合
     */
    private List<Bch> bchLst;
    /**
     * 开立日期开始日期
     */
    private String opndatfrom;
    /**
     * 开立日期截止日期
     */
    private String opndatto;
    /**
     * 起息日开始日期
     */
    private String intdatfrom;
    /**
     * 起息日开始日期
     */
    private String intdatto;
    /**
     * 到期日开始日期
     */
    private String matdatfrom;
    /**
     * 到期日开始日期
     */
    private String matdatto;
    /**
     * 客户号/名称
     */
    private String searef;
    /**
     * 代付银行
     */
    private String dfbkref;
    /**
     * 是否闭卷
     */
    private String isClosed;


    /**
     * 福费廷转卖类型
     */
    private String ffttyp;
    /**
     *单据类型
     */
    private String seadoctyp;
    /**
     * 客户号
     */
    private String ptyExtkey;
    /**
     * 当事人BIC/名称
     */
    private String seapty;
    /**
     * 业务状态
     */
    private String  seasta;
    /**
     * //币种
     */
    private String seacur;
    /**
     * //金额
     */
    private BigDecimal seaamt;
    /**
     * //金额
     */
    private BigDecimal seaamtfr;
    /**
     * //金额
     */
    private BigDecimal seaamtto;
    /**
     * //货物类型
     */
    private String seagodcod;
    /**
     * 融资类型
     */
    private String seafintyp;
    /**
     * 融资类型数据
     */
    private List<String> seafintyps;
    /**
     * 融资状态
     */
    private String ovdflg;
    /**
     * 海外代付
     */
    private String oseflg;
    /**
     * 排序字段
     */
    private String column;

    /**
     * 正序倒序
     */
    private String order;
}
