package com.brilliance.isc.vo.model;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class McdVo implements Serializable {


    /**
     * 唯一ID，主键
     */
    private String inr = NULLSTR;

    /**
     * 业务参考号
     */
    private String ownref = NULLSTR;

    /**
     * 业务简要描述
     */
    private String nam = NULLSTR;

    /**
     * 业务负责人
     */
    private String ownusr = NULLSTR;

    /**
     * 业务创建日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date credat = NULLDATE;

    /**
     * 业务开立日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date opndat = NULLDATE;

    /**
     * 闭卷日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date clsdat = NULLDATE;

    /**
     * 到期日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date expdat = NULLDATE;

    /**
     * 订单日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date orddat = NULLDATE;

    /**
     * 收件人参考号
     */
    private String aderef = NULLSTR;

    /**
     * 申请人参考号
     */
    private String aplref = NULLSTR;

    /**
     * 版本号
     */
    private String ver = NULLSTR;

    /**
     * 国家代码
     */
    private String stacty = NULLSTR;

    /**
     * 业务所属实体
     */
    private String etyextkey = NULLSTR;

    /**
     * 业务所属机构
     */
    private String branchinr = NULLSTR;

    /**
     * 业务经办机构
     */
    private String bchkeyinr = NULLSTR;

    /**
     * 业务类型，JH为结汇，SH为售汇，ZZ为转账，SF为收费，FB为发报，QT为其他
     */
    private String mcttyp = NULLSTR;

    /**
     * 相关业务参考号
     */
    private String subref = NULLSTR;

}