package com.brilliance.isc.esb.api.inner;

import com.brilliance.isc.esb.model.inner.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * jk 对内系统的额度管理系统接口
 *
 * @restApi
 */

//@RequestMapping("/jk")
public interface InnerClmServer {
    /**
     * CL86 额度转授权信息变更
     *
     * @param innerReqCL86
     * @return
     */
    @PostMapping("/CL86")
    InnerRes<InnerResCL86> callCL86(InnerReq<InnerReqCL86> innerReqCL86);

    /**
     * CL40 额度组合交易
     *
     * @param innerReqCL40
     * @return
     */
    @PostMapping("/CL40")
    InnerRes<InnerResCL40> callCL40(InnerReq<InnerReqCL40> innerReqCL40);

    /**
     * CL41 额度管理系统额度试算
     *
     * @param innerReqCL41
     * @return
     */
    @PostMapping("/CL41")
    InnerRes<InnerResCL41> callCL41(InnerReq<InnerReqCL41> innerReqCL41);

    /**
     * CL42 额度管理系统额度查询
     *
     * @param innerReqCL42
     * @return
     */
    @PostMapping("/CL42")
    InnerRes<InnerResCL42> callCL42(InnerReq<InnerReqCL42> innerReqCL42);

    /**
     * CL43 额度管理系统额度占用
     *
     * @param innerReqCL43
     * @return
     */
    @PostMapping("/CL43")
    InnerRes<InnerResCL43> callCL43(InnerReq<InnerReqCL43> innerReqCL43);

    /**
     * CL44 额度管理系统额度释放
     *
     * @param innerReqCL44
     * @return
     */
    @PostMapping("/CL44")
    InnerRes<InnerResCL44> callCL44(InnerReq<InnerReqCL44> innerReqCL44);

    /**
     * CL45 国结-额度业务查询交易请求
     *
     * @param innerReqCL45
     * @return
     */
    @PostMapping("/CL45")
    InnerRes<InnerResCL45> callCL45(InnerReq<InnerReqCL45> innerReqCL45);

    /**
     * CL81 公共-额度流水查询请求
     *
     * @param innerReqCL81
     * @return
     */
    @PostMapping("/CL81")
    InnerRes<InnerResCL81> callCL81(InnerReq<InnerReqCL81> innerReqCL81);

    /**
     * CL82 公共-额度流水查询请求
     *
     * @param innerReqCL82
     * @return
     */
    @PostMapping("/CL82")
    InnerRes<InnerResCL82> callCL82(InnerReq<InnerReqCL82> innerReqCL82);

    /**
     * CL83 额度管理系统额度信息同步
     *
     * @param innerReqCL83
     * @return
     */
    @PostMapping("/CL83")
    InnerRes<InnerResCL83> callCL83(InnerReq<InnerReqCL83> innerReqCL83);

    /**
     * CL85 额度管理系统额度信息同步
     *
     * @param innerReqCL85
     * @return
     */
    @PostMapping("/CL85")
    InnerRes<InnerResCL85> callCL85(InnerReq<InnerReqCL85> innerReqCL85);

}
