package com.brilliance.isc.esb.model.cfca;

import java.util.ArrayList;
import java.util.List;

/**
 * PF70  上传合同签署请求对象(原FT70)
 */
public class ReqFT70 {


    /**
     * 交易时间 [0,14]
     */
    public String TXTTIME;

    /**
     * 是否签署 [0,1]
     */
    public String ISSIGN;

    /**
     * 印章ID [0,32]
     */
    public String SEALID;

    /**
     * 签章颜色 [0,1]
     */
    public String SEALCOLOR;

    /**
     * 合同类型 [0,10]
     */
    public String CONTRACTTYPECODE;

    /**
     * 合同名称 [0,100]
     */
    public String CONTRACTNAME;

    /**
     * 合同过期时间 [0,8]
     */
    public String EXPIREDDATE;

    /**
     * 关键字 [0,20]
     */
    public String KEYWORD;

    /**
     * X轴偏移坐标 [0,2]
     */
    public String OFFSETCOORDX;

    /**
     * Y轴偏移坐标 [0,2]
     */
    public String OFFSETCOORDY;

    /**
     * 签章图片宽度 [0,3]
     */
    public String IMAGEWIDTH;

    /**
     * 签章图片高度 [0,3]
     */
    public String IMAGEHEIGHT;

    /**
     * 签名域页数 [0,4]
     */
    public String SIGNONPAGE;

    /**
     * 签名域的左下角X轴坐标值 [0,4]
     */
    public String SIGNLOCATIONLBX;

    /**
     * 签名域的左下角Y抽轴标值 [0,4]
     */
    public String SIGNLOCATIONLBY;

    /**
     * 签名域的右上角X轴坐标值 [0,4]
     */
    public String SIGNLOCATIONRUX;

    /**
     * 签名域的右上角Y轴坐标值 [0,4]
     */
    public String SIGNLOCATIONRUY;

    /**
     * 文件名称 [0,100]
     */
    public String FILENAME;

    public List<ItemFT70> FFT701 = new ArrayList();

    public static class ItemFT70 {

        /**
         * 用户ID [0,32]
         */
        public String USERID;

        /**
         * 授权时间 [0,14]
         */
        public String AUTHORIZATIONTIME;

        /**
         * 授权地点 [0,100]
         */
        public String LOCATION;


        /**
         * 关键字 [0,20]
         */
        public String KEYWORD;

        /**
         * X轴偏移坐标 [0,2]
         */
        public String OFFSETCOORDX;

        /**
         * Y轴偏移坐标 [0,2]
         */
        public String OFFSETCOORDY;

        /**
         * 签章图片宽度 [0,3]
         */
        public String IMAGEWIDTH;

        /**
         * 签章图片高度 [0,3]
         */
        public String IMAGEHEIGHT;

        /**
         * 签名域页数 [0,4]
         */
        public String SIGNONPAGE;

        /**
         * 签名域的左下角X轴坐标值 [0,4]
         */
        public String SIGNLOCATIONLBX;

        /**
         * 签名域的左下角Y轴坐标值 [0,4]
         */
        public String SIGNLOCATIONLBY;

        /**
         * 签名域的右上角X轴坐标值 [0,4]
         */
        public String SIGNLOCATIONRUX;

        /**
         * 签名域的右上角Y轴坐标值 [0,4]
         */
        public String SIGNLOCATIONRUY;

        /**
         * 项目编号 [0,32]
         */
        public String PROJECTCODE;

        /**
         * 是否检查项目编号 [0,1]
         */
        public String ISCHECKPROJECTCODE;

        /**
         * 是否代签 [0,1]
         */
        public String ISPROXYSIGN;

        /**
         * 是否抄送 [0,1]
         */
        public String ISCOPY;

        /**
         * 印章ID [0,32]
         */
        public String SEALID;

        /**
         * 签章颜色 [0,1]
         */
        public String SEALCOLOR;
    }

    public ReqFT70() {
    }

    public ReqFT70(String TXTTIME, String ISSIGN, String SEALID, String SEALCOLOR, String CONTRACTTYPECODE, String CONTRACTNAME, String EXPIREDDATE, String KEYWORD, String OFFSETCOORDX, String OFFSETCOORDY, String IMAGEWIDTH, String IMAGEHEIGHT, String SIGNONPAGE, String SIGNLOCATIONLBX, String SIGNLOCATIONLBY, String SIGNLOCATIONRUX, String SIGNLOCATIONRUY, String FILENAME, List<ItemFT70> FFT701) {
        this.TXTTIME = TXTTIME;
        this.ISSIGN = ISSIGN;
        this.SEALID = SEALID;
        this.SEALCOLOR = SEALCOLOR;
        this.CONTRACTTYPECODE = CONTRACTTYPECODE;
        this.CONTRACTNAME = CONTRACTNAME;
        this.EXPIREDDATE = EXPIREDDATE;
        this.KEYWORD = KEYWORD;
        this.OFFSETCOORDX = OFFSETCOORDX;
        this.OFFSETCOORDY = OFFSETCOORDY;
        this.IMAGEWIDTH = IMAGEWIDTH;
        this.IMAGEHEIGHT = IMAGEHEIGHT;
        this.SIGNONPAGE = SIGNONPAGE;
        this.SIGNLOCATIONLBX = SIGNLOCATIONLBX;
        this.SIGNLOCATIONLBY = SIGNLOCATIONLBY;
        this.SIGNLOCATIONRUX = SIGNLOCATIONRUX;
        this.SIGNLOCATIONRUY = SIGNLOCATIONRUY;
        this.FILENAME = FILENAME;
        this.FFT701 = FFT701;
    }
}
