package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.ArrayList;
import java.util.List;

/**
 * CL42  额度管理系统额度查询
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerResCL42 {
    /**
     * 客户ECIF号
     */
    public String restxt02;
    /**
     * 客户名称
     */
    public String restxt03;
    /**
     * 同业SWIFT号
     */
    public String restxt04;
    /**
     * 客户类型
     */
    public String restxt05;
    /**
     * 总记录数
     */
    public String restxt06;
    /**
     * 备注信息1
     */
    public String restxt07;
    /**
     * 备注信息2
     */
    public String restxt08;
    /**
     * 备注信息3
     */
    public String restxt09;

    public List<ItemCL421> lstCL421 = new ArrayList<>();

    public List<ItemCL422> lstCL422 = new ArrayList<>();

    public InnerResCL42() {
        super();
    }

    public InnerResCL42(String restxt02, String restxt03, String restxt04, String restxt05, String restxt06, String restxt07, String restxt08, String restxt09, List<ItemCL421> lstCL421, List<ItemCL422> lstCL422) {
        this.restxt02 = restxt02;
        this.restxt03 = restxt03;
        this.restxt04 = restxt04;
        this.restxt05 = restxt05;
        this.restxt06 = restxt06;
        this.restxt07 = restxt07;
        this.restxt08 = restxt08;
        this.restxt09 = restxt09;
        this.lstCL421 = lstCL421;
        this.lstCL422 = lstCL422;
    }

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class ItemCL421 {
        /**
         * 额度类型
         */
        public String tbxx01;
        /**
         * 入账机构
         */
        public String tbxx02;
        /**
         * 额度编号
         */
        public String tbxx03;
        /**
         * 额度明细编号
         */
        public String tbxx04;
        /**
         * 额度品种代码
         */
        public String tbxx05;
        /**
         * 额度明细币种
         */
        public String tbxx06;
        /**
         * 保证金比例
         */
        public String tbxx07;
        /**
         * 产品授信额度
         */
        public String tbxx08;
        /**
         * 产品可用额度
         */
        public String tbxx09;
        /**
         * 产品已用额度
         */
        public String tbxx10;
        /**
         * 产品授信敞口
         */
        public String tbxx11;
        /**
         * 产品可用敞口
         */
        public String tbxx12;
        /**
         * 产品已用敞口
         */
        public String tbxx13;
        /**
         * 表外规模上限当前值
         */
        public String tbxx14;
        /**
         * 表外规模上限可用值
         */
        public String tbxx15;
        /**
         * 表外规模上限已用值
         */
        public String tbxx16;
        /**
         * 是否可循环
         */
        public String tbxx17;
        /**
         * 是否可串用
         */
        public String tbxx18;
        /**
         * 串用说明
         */
        public String tbxx19;
        /**
         * 产品额度生效日期
         */
        public String tbxx20;
        /**
         * 产品额度到期日
         */
        public String tbxx21;
        /**
         * 额度产品状态
         */
        public String tbxx22;
        /**
         * 银行账户信用风险暴露分类
         */
        public String tbxx23;
        /**
         * 暴露分类说明
         */
        public String tbxx24;
        /**
         * 备注信息1
         */
        public String tbxx25;
        /**
         * 备注信息2
         */
        public String tbxx26;
        /**
         * 备注信息3
         */
        public String tbxx27;
    }

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class ItemCL422 {
        /**
         * 质押物编号
         */
        public String dzywbh;
    }
}
